Subject: California Agriculture Edition

From: [email-masked] (Lowell Zelinski)
Date: Mon, 14 Nov 1994 15:17:11 GMT

The most recent edition of California Agriculture is devoted to
"sustainable agriculture" and has a number of good articles detailing the
results of various "scientifically valid" studies down in Calif.

I'll probably post some excerpts here but if you are interested in this
topic (why else would you read this newsgroup) you should get a copy.

The phone number for Cal Ag is 510-987-0044

-- 
Lowell

What a long strange trip its been